<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="androidx.lifecycle.MutableLiveData" />

        <import type="androidx.lifecycle.LiveData" />

        <import type="kotlin.jvm.functions.Function0" />

        <variable
            name="message"
            type="MutableLiveData&lt;String&gt;" />

        <variable
            name="sendButtonEnabled"
            type="LiveData&lt;Boolean&gt;" />

        <variable
            name="photoClicked"
            type="Function0" />

        <variable
            name="locationClicked"
            type="Function0" />

        <variable
            name="sendClicked"
            type="Function0" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:paddingBottom="4dp"
        tools:context=".presentation.ui.chat.ChatFragment">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/uiChatMessagesRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="#E9E0E0"
            app:layout_constraintBottom_toTopOf="@id/uiChatMessageEdit"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#6A6565"
            app:layout_constraintBottom_toTopOf="@id/uiChatMessageEdit" />

        <EditText
            android:id="@+id/uiChatMessageEdit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:background="@android:color/transparent"
            android:hint="@string/chat_send_message_hint"
            android:importantForAutofill="no"
            android:inputType="textCapSentences|textAutoCorrect|textMultiLine"
            android:maxLines="4"
            android:paddingStart="24dp"
            android:paddingTop="16dp"
            android:paddingEnd="24dp"
            android:imeOptions="actionSend"
            android:scrollHorizontally="false"
            android:singleLine="false"
            android:text="@={message}"
            app:layout_constraintBottom_toTopOf="@id/uiChatPhotoButton" />

        <Button
            android:id="@+id/uiChatPhotoButton"
            style="@style/Widget.App.Button.TextButton.IconOnly"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="@{() -> photoClicked.invoke()}"
            app:icon="@drawable/ic_camera"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/uiChatLocationButton"
            app:layout_constraintStart_toStartOf="parent" />

        <Button
            android:id="@+id/uiChatLocationButton"
            style="@style/Widget.App.Button.TextButton.IconOnly"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="@{() -> locationClicked.invoke()}"
            app:icon="@drawable/ic_map_marker"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/uiChatSendButton"
            app:layout_constraintStart_toEndOf="@id/uiChatPhotoButton" />

        <Button
            android:id="@+id/uiChatSendButton"
            style="@style/Widget.App.Button.TextButton.IconOnly"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:enabled="@{sendButtonEnabled}"
            android:onClick="@{() -> sendClicked.invoke()}"
            app:icon="@drawable/ic_send"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/uiChatLocationButton" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>